* Hardware Details
ScrBuf		EQU	$4000


* Init0 Register
BP		EQU	$80	; Bit 7	Hi Res disable
BPI		EQU	$20	; Bit 5 
MOCH		EQU	$10	; Bit 4
H50		EQU	$08	; Bit 3
LPR2		EQU	$04	; Bit 2	Pixel of char size
LPR1		EQU	$02	; Bit 1
LPR0		EQU	$01	; Bit 0

* Video Register
VRES1		EQU	$40	; Bit 6	Verical Resolution
VRES0		EQU	$20	; Bit 5
HRES2		EQU	$10	; Bit 4 Horizontal Resolution
HRES1		EQU	$08	; Bit 3
HRES0		EQU	$04	; Bit 2
CRES1		EQU	$02	; Bit 1 Available colours.
CRES0		EQU	$01	; Bit 0

* PIA
PIA0AD		EQU	$FF00
PIA0AC		EQU	$FF01
PIA0BD		EQU	$FF02

* ACVC Operation
VDG		EQU	$FF22
SAM_VertOffset	EQU	$FFC6
SAM_Mode	EQU	$FFC0

* GIME Constants
GimePageSize	EQU	$2000	; 8K

* GIME Registers
Init0		EQU	$FF90
IRQENR		EQU	$FF92
VMode		EQU	$FF98
VRes		EQU	$FF99
BoarderReg	EQU	$FF9A
VertScroll	EQU	$FF9C
VertOffset	EQU	$FF9D	; 16 bit register.
HorizOffset	EQU	$FF9F

GimeMap0Reg1	EQU	$FFA0
GimeMap0Reg2	EQU	$FFA1
GimeMap0Reg3	EQU	$FFA2
GimeMap0Reg4	EQU	$FFA3
GimeMap0Reg5	EQU	$FFA4
GimeMap0Reg6	EQU	$FFA5
GimeMap0Reg7	EQU	$FFA6
GimeMap0Reg8	EQU	$FFA7
GimeMap1Reg1	EQU	$FFA8
GimeMap1Reg2	EQU	$FFA9
GimeMap1Reg3	EQU	$FFAA
GimeMap1Reg4	EQU	$FFAB
GimeMap1Reg5	EQU	$FFAC
GimeMap1Reg6	EQU	$FFAD
GimeMap1Reg7	EQU	$FFAE
GimeMap1Reg8	EQU	$FFAF

GimePalette	EQU	$FFB0
GimePalette0	EQU	$FFB0
GimePalette1	EQU	$FFB1
GimePalette2	EQU	$FFB2
GimePalette3	EQU	$FFB3
GimePalette4	EQU	$FFB4
GimePalette5	EQU	$FFB5
GimePalette6	EQU	$FFB6
GimePalette7	EQU	$FFB7
GimePalette8	EQU	$FFB8
GimePalette9	EQU	$FFB9
GimePalette10	EQU	$FFBA
GimePalette11	EQU	$FFBB
GimePalette12	EQU	$FFBC
GimePalette13	EQU	$FFBD
GimePalette14	EQU	$FFBE
GimePalette15	EQU	$FFBF

* Gime Constant
PaletteSize	EQU	16

* Interrupt Vectors
;SWI3		EQU	$FFF2.3
;SWI2		EQU	$FFF4.5
;FIRQ		EQU	$FFF6.7
;IRQ		EQU	$FFF8.9
;SWI		EQU	$FFFA.B
;NMI		EQU	$FFFC.D
;RESET		EQU	$FFFE.F	
VIRQ		EQU	$FEF7
