/*
lwbasic.y

This file is the Lemon source to generate the lwbasic parser.
*/

program ::= globdecls.

globdecls ::= globdecls globdecl.
globdecls ::= .

globdecl ::= FUNCTION IDENTIFIER paramlist RETURNS valtype EOL statements ENDFUNCTION.
globdecl ::= SUB IDENTIFIER paramlist EOL statements ENDSUB.

idtype ::= IDENTIFIER AS valtype.

paramlist ::= paramlist COMMA idtype.
paramlist ::= idtype.

valtype ::= INTEGER.

statements ::= statements statement.
statements ::= statement.

statement ::= LET IDENTIFIER EQUAL expression.
statement ::= IDENTIFIER EQUAL expression.

expression ::= value TIMES value.
expression ::= value DIVIDE value.
expression ::= value MOD value.
expression ::= value PLUS value.
expression ::= value MINUS value.
expression ::= value.

value ::= LPAREN expression RPAREN.
value ::= MINUS value. [NEG]
value ::= PLUS value. [NEG]
value ::= IDENTIFIER.
value ::= INTEGER.

